ObjectARX acedGetKword获取关键字简单示例

acedGetKword关键字使用例子

		acedInitGet(0,_T("C R D _c r d"));
		ACHAR szKeyword[128]={0};
		int nRet=acedGetKword(_T("\n请选择类型[圆形(C)/矩形(R)/绘制多边形(D)]<C>: "),szKeyword);
		if (RTCAN == nRet)
		{
			acutPrintf(_T("\n取消"));
			return;
		}
		else if (RTNONE == nRet)
		{
			acutPrintf(_T("\n使用默认值"));
			
		}
		else if (RTNORM == nRet)
		{
			if (_tcscmp(szKeyword,_T("c") ) == 0)
			{
				acutPrintf(_T("\n选择了圆"));
			}
			else if (_tcscmp(szKeyword,_T("r") ) == 0)
			{
				acutPrintf(_T("\n选择了矩形"));
			}
			else if (_tcscmp(szKeyword,_T("d") ) == 0)
			{
				acutPrintf(_T("\n选择了绘制多边形"));
			}
		}
		else 
		{
			acutPrintf(_T("\ngetkword执行失败"));
		}

测试

posted @   edata  阅读(595)  评论(0编辑  收藏  举报
相关博文:
阅读排行:
· TypeScript + Deepseek 打造卜卦网站:技术与玄学的结合
· 阿里巴巴 QwQ-32B真的超越了 DeepSeek R-1吗?
· 【译】Visual Studio 中新的强大生产力特性
· 【设计模式】告别冗长if-else语句:使用策略模式优化代码结构
· 10年+ .NET Coder 心语 ── 封装的思维:从隐藏、稳定开始理解其本质意义
历史上的今天:
2022-03-21 [转] ObjectARX 创建并使用UCS
点击右上角即可分享
微信分享提示

目录导航